/* about-banner */
.about-banner-section {
    background: linear-gradient(270deg, #020310 -1.28%, #010413 26.94%, #0A0D25 73.45%, #0B0D25 100%);
    text-align: center;
    padding-top: 100px;
    padding-bottom: 48px;
}

.about-banner-section .video-box {
    max-width: 500px;
    margin: auto;
    max-height: 309px;
    overflow: hidden;
    height: 300px;
    position: relative;
}

.about-banner-section .video-box video {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: absolute;
    top: 0;
    left: 0;
}

.about-banner-section .banner-content-box {
    max-width: 800px;
    margin: auto;
}

.about-banner-section .banner-content-box .heading-two,
.about-banner-section .banner-content-box p {
    color: var(--white);
}

.about-banner-section .banner-content-box p {
    font-size: var(--font20);
    line-height: 27px;
    margin: 0;
}

/* about-what-we-know-sec */
.about-what-we-know-sec {
    background: linear-gradient(270deg, #020310 -1.28%, #010413 26.94%, #0A0D25 73.45%, #0B0D25 100%);
}

.about-what-we-know-sec .about-feature-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    text-align: center;
    gap: 100px;
    position: relative;
}

.about-what-we-know-sec .about-feature-grid::before,
.about-what-we-know-sec .about-feature-grid::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    border: 1px solid rgba(255, 255, 255, 0.5);
}

.about-what-we-know-sec .about-feature-grid:after {
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
}

.about-what-we-know-sec .about-feature-grid::before {
    left: 50%;
    transform: translateX(-50%);
    height: 100%;
}

.about-what-we-know-sec .about-feature-grid .feature-item .icon {
    background: linear-gradient(47deg, #FFF 11.29%, #FF6B00 47.77%, #F58634 88.71%);
    width: 150px;
    height: 150px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 20px;
}

.about-what-we-know-sec .about-feature-grid .feature-item .title {
    font-size: var(--font26);
    font-weight: 400;
    line-height: 27px;
    letter-spacing: 1.56px;
    text-transform: uppercase;
}

.about-what-we-know-sec .about-feature-grid .feature-item p {
    font-size: var(--font20);
    line-height: 27px;
}

/* benifit-three-dev-section */
.benifit-three-dev-section {
    background: #eee;
}

.benifit-three-dev-section .benifit-item {
    position: relative;
    margin: 10%;
}

.benifit-three-dev-section .benifit-item .image {
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.15);
    border-radius: 36px;
    padding-top: 100%;
}

.benifit-three-dev-section .benifit-item .image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.benifit-three-dev-section .benifit-item .content-box {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 20px;
    border-radius: 0 0 36px 36px;
    background: rgba(28, 31, 38, 0.8);
    z-index: 1;
}

.benifit-three-dev-section .benifit-item .content-box .title {
    font-size: var(--font20);
    line-height: 25px;
    color: var(--white);
    text-align: center;
    margin-bottom: 0;
}

.benifit-three-dev-section .benifit-item .content-box .desc-box {
    height: 0;
    overflow: hidden;
    opacity: 0;
    transition: height 0.5s ease, opacity 0.4s ease;
    text-align: center;
}

.benifit-three-dev-section .benifit-item .content-box .desc-box p {
    font-size: var(--font16);
    color: var(--white);
    line-height: 22px;
    font-weight: 300;
    text-align: center;
    margin-block: 10px;
}

.core-heading-box {
    max-width: 850px;
    margin: auto;
    text-align: center;
}

.core-heading-box p {
    color: #3F3F3F;
    font-size: var(--font20);
    line-height: 27px;
}

.my-carousel__swiper {
    padding-bottom: clamp(120px, 10vw, 10%);
}

.swiper-pagination .swiper-pagination-bullet {
    border: 1px solid var(--gray1);
    width: 10px;
    height: 10px;
}

.swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    border: 1px solid var(--gray1);
    background: var(--gray1);
}

.my-carousel__swiper .swiper-pagination::before {
    content: "";
    background: url(../img/drag-icon.svg) no-repeat;
    border: none;
    width: 100px;
    height: 100px;
    display: block;
    text-align: center;
    background-size: 60px;
    background-position: center center;
    margin: auto;
}

.swiper-wrapper {
    pointer-events: none;
}

.swiper-slide {
    pointer-events: auto;
}

@media only screen and (max-width: 767px) {

    .benifit-three-dev-section .benifit-item .content-box {
        padding: 10px;
        text-align: center;
    }

    .belief-developent-section .content {
        text-align: center;
    }

    .three-banner-section .banner-content-box {
        width: 90%;
        top: 100px;
        transform: none;
        margin: auto;
        right: 0;
        left: 0;
    }

    .three-banner-section {
        height: 70vh;
    }

    .three-banner-section .video-box video {
        height: 100%;
        top: 0;
    }

    .vto-banner-section .video-box {
        height: 100%;
    }


    /* .about-what-we-know-sec .about-feature-grid */
    .about-what-we-know-sec .about-feature-grid {
        display: block;
    }

    .about-what-we-know-sec .about-feature-grid::before,
    .about-what-we-know-sec .about-feature-grid::after {
        display: none;
    }

    .about-what-we-know-sec .about-feature-grid .feature-item:not(:last-child) {
        margin-bottom: 30px;
        padding-bottom: 30px;
        border-bottom: 1px solid #fff
    }

    .about-banner-section .banner-content-box p,
    .core-heading-box p,
    .about-what-we-know-sec .about-feature-grid .feature-item p,
    .benifit-three-dev-section .benifit-item .content-box .desc-box p,
    a.know-more-link {
        font-size: var(--font14);
        line-height: 20px;
    }

    .about-what-we-know-sec .about-feature-grid .feature-item .title {
        font-size: var(--font20);
        line-height: 24px;
    }

    .about-what-we-know-sec .about-feature-grid .feature-item .icon {
        width: 100px;
        height: 100px;
        padding: 20px;
    }

    .benifit-three-dev-section .benifit-item {
        position: relative;
        margin: 5%;
    }

    .benifit-three-dev-section .benifit-item .content-box .title {
        font-size: var(--font16);
        line-height: 20px;
        background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath fill='white' fill-rule='evenodd' d='M3.554 5.773A.5.5 0 0 1 4 5.5h8a.5.5 0 0 1 .404.794l-4 5.5a.5.5 0 0 1-.808 0l-4-5.5a.5.5 0 0 1-.042-.52' clip-rule='evenodd'/%3E%3C/svg%3E");
        background-repeat: no-repeat;
        background-position: right center;
        display: inline-block;
        padding-right: 20px;
    }
    .benifit-three-dev-section .benifit-item.active .content-box .title{
       background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3E%3Cpath fill='white' fill-rule='evenodd' d='M12.446 10.227A.5.5 0 0 1 12 10.5H4a.5.5 0 0 1-.404-.794l4-5.5a.5.5 0 0 1 .808 0l4 5.5a.5.5 0 0 1 .042.52' clip-rule='evenodd'/%3E%3C/svg%3E");
        background-repeat: no-repeat; 
        background-position: right center; 
    }

    .swiper-pagination {
        display: none;
    }

    .my-carousel__swiper {
        position: relative;
        padding-bottom: clamp(90px, 10vw, 5%);
    }

    .my-carousel__swiper::before {
        content: '';
        display: block;
        background: url(../img/about-wheel.svg) no-repeat;
        width: 230px;
        height: 60px;
        position: absolute;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
    }

    .my-carousel__swiper::after {
        content: '';
        position: absolute;
        bottom: 60px;
        left: 50%;
        transform: translateX(-50%);
        width: 0;
        height: 0;
        border: 0 solid transparent;
        border-right-width: 16px;
        border-left-width: 16px;
        border-bottom: 16px solid var(--orange);
    }

    .about-banner-section .banner-content-box{
        max-width: 95%;
        
    }

}